# app/routes/time_routes.py
from fastapi import APIRouter
from datetime import datetime
import pytz

router = APIRouter(
    prefix="/time",
    tags=["time"],  # Swagger UI에서 그룹화
)


@router.get("/now")
async def get_server_time():
    # 한국 시간대 설정
    korea_tz = pytz.timezone('Asia/Seoul')
    current_time = datetime.now(korea_tz)

    return {
        "server_time": current_time.strftime("%Y-%m-%d %H:%M:%S"),
        "timezone": "Asia/Seoul",
        "timestamp": current_time.timestamp()
    }